Displaying 15 results from an estimated 15 matches for "pipestatus".
2015 Oct 05
2
Re: [PATCH 3/6] v2v:test:win: actually check the eventual layout
...it, parse the output of guestfish and verify that all is-file and
> is-dir commands return the expected "true".
>
> While doing so, keep in mind that the exit status of a pipeline is that
> of the last command, so make sure to check the exit status of guestfish
> too via $PIPESTATUS (yes it's bash-specific but the scripts are run with
> bash only anyway).
>
> Signed-off-by: Roman Kagan <rkagan@virtuozzo.com>
> ---
> v2v/test-v2v-windows-conversion.sh | 11 +++++++++++
> 1 file changed, 11 insertions(+)
>
> diff --git a/v2v/test-v2v-windows-...
2015 Oct 05
0
[PATCH 3/6] v2v:test:win: actually check the eventual layout
...he checks failed.
To fix it, parse the output of guestfish and verify that all is-file and
is-dir commands return the expected "true".
While doing so, keep in mind that the exit status of a pipeline is that
of the last command, so make sure to check the exit status of guestfish
too via $PIPESTATUS (yes it's bash-specific but the scripts are run with
bash only anyway).
Signed-off-by: Roman Kagan <rkagan@virtuozzo.com>
---
v2v/test-v2v-windows-conversion.sh | 11 +++++++++++
1 file changed, 11 insertions(+)
diff --git a/v2v/test-v2v-windows-conversion.sh b/v2v/test-v2v-windows-con...
2010 Aug 29
1
Re: Trouble with libgsm on Mac OS X 10.6.2
...hare/man:/usr/local/share/man:/usr/X11/share/man:/usr/local/git/share/man
OLDPWD=/Users/panosl
OPTERR=1
OPTIND=1
OSTYPE=darwin9.0
PATH=/Users/panosl/wine/wine-1.3.1/bin:/opt/subversion/bin:/Users/panosl/.bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11/bin:/usr/local/git/bin
PIPESTATUS=([0]="0")
PIP_VIRTUALENV_BASE=/Users/panosl/.virtualenvs
PPID=273
PS1='\[\e[0;32m\]\u@\h\[\e[m\] \[\e[1;34m\]\w\[\e[m\] \[\e[1;32m\]\$\[\e[m\] \[\e[1;37m\]'
PS2='> '
PS4='+ '
PWD='/Users/panosl/.wine/drive_c/Program Files/PyLotRO'
PYTHONPATH='/Applic...
2008 Mar 02
1
Wrong uptodate
...='2.05b.0(1)-release'
DIRSTACK=()
EUID=0
GROUPS=()
HOME=/root
HOSTNAME=server
HOSTTYPE=i386
IFS='
'
LANG=de_DE@euro
LANGUAGE=de_DE:de:en_GB:en
LOGNAME=root
MACHTYPE=i386-pc-linux-gnu
OPTERR=1
OPTIND=1
OSTYPE=linux-gnu
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
PIPESTATUS=([0]="0")
POSIXLY_CORRECT=y
PPID=25970
PS4='+ '
PWD=/root
SHELL=/bin/sh
SHELLOPTS=braceexpand:hashall:interactive-comments:posix
SHLVL=2
TERM=dumb
UID=0
set as root:
BASH=/bin/bash
BASH_VERSINFO=([0]="2" [1]="05b" [2]="0" [3]="1" [4]="...
2015 Oct 05
0
[PATCH 4/6] tests: use fake virtio-win drivers
...s; do
+ echo "is-file \"$virtio_dir/$drv.$sfx\""
+ done
+ done
+ echo "trace 0"
+} | guestfish --ro -a $d/windows-sda -i | {
ret=0
while read r; do
[ "$r" = "true" ] || ret=1
done
exit $ret
}
-(( PIPESTATUS[0] == 0 ))
+(( PIPESTATUS[1] == 0 ))
# We also update the Registry several times, for firstboot, and (ONLY
# if the virtio-win drivers are installed locally) the critical device
--
2.4.3
2015 Oct 05
0
Re: [PATCH 3/6] v2v:test:win: actually check the eventual layout
...and if there will
> be added more commands that output things different than "true".
Yes I have seen it but exactly because I foresee nothing but "true" in
guestfish's output I want to avoid tedious beancounting when maintaining
the expected result string.
> > +(( PIPESTATUS[0] == 0 ))
>
> set -o pipefail (which is bash-specific)
I don't mind this change; want me to resubmit with it?
Roman.
2011 Feb 21
2
Basic Bash Script Question
I'm stuck trying to work this one out and my Google skills are
apparently lacking today.
This is a test bash script;
#!/bin/bash
do something | tee a.log
if [ $? -ne 0]; then
echo broken
fi
The problem with this script is $? contains the exit value of the tee
command, but I want to check the exit value of whatever command I put
in place of 'do something'.
How can I achieve this
2015 Oct 05
2
Re: [PATCH 3/6] v2v:test:win: actually check the eventual layout
...oid tedious beancounting when maintaining
> the expected result string.
Never say never... really, better make it slightly more generic, so
expanding it later is no hassle.
Also, comparing to the exact output expected is a check more that we
got the number of lines expected.
> > > +(( PIPESTATUS[0] == 0 ))
> >
> > set -o pipefail (which is bash-specific)
>
> I don't mind this change; want me to resubmit with it?
Yes, with the aforementioned change of the output check, which could
make checking for the pipe status no more needed.
Thanks,
--
Pino Toscano
2015 Oct 05
0
[PATCH 6/6] add test for v2v with virtio-win drivers on iso
...s; do
+ echo "is-file \"$virtio_dir/$drv.$sfx\""
+ done
+ done
+ echo "trace 0"
+} | guestfish --ro -a $d/windows-sda -i | {
+ ret=0
+ while read r; do
+ [ "$r" = "true" ] || ret=1
+ done
+ exit $ret
+}
+(( PIPESTATUS[1] == 0 ))
+
+rm -r $d
--
2.4.3
2015 Oct 05
18
[PATCH 0/6] v2v: assorted improvements to tests for windows
This series makes several enhancements to tests for v2v conversion of
Windows guests. Specifically, it
- adds a number of files which imitate the stuff that is supposed to
be present on the host when the actual conversion is performed, but
may not be there when the tests are run. This includes certain
tools and virtio drivers
- fixes the test for windows conversion to actually
2001 May 16
1
wine-20010510 fails to run?
...lor=auto'
LTDL_LIBRARY_PATH=/usr/lib
MACHTYPE=i586-mandrake-linux-gnu
MAIL=/var/spool/mail/jussij
MAILCHECK=60
META_CLASS=PowerPack
NLSPATH=/usr/share/locale/%l/%N
OPTERR=1
OPTIND=1
OSTYPE=linux-gnu
PATH=/usr/X11R6/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/usr/games
PIPESTATUS=([0]="1")
PPID=890
PREVLEVEL=N
PS1='[\u@\h \W]\$ '
PS2='> '
PS4='+ '
PWD=/home/jussij
QT_XFT=0
RPM_INSTALL_LANG=en_GB:en
RUNLEVEL=5
SECURE_LEVEL=2
SECURITY=2
SESSION_MANAGER=local/linux.com:/tmp/.ICE-unix/796
SHELL=/bin/bash
SHELLOPTS...
2013 Jul 17
3
sudo add user script
Hello list,
I took another stab at finding a way to add a sudo user remotely and it
gets you most of the way there. If you execute the script as root it works
beautifully and does just what you want. Which is add the user to the
group and gives that user group rights to certain commands.
But if you execute it as a user who only has sudo access to the
/etc/sudoers file it errors out.
cloud:~]
2004 Jan 22
1
PROBLEM: Filesystem became readonly, then kernel crashes on shutdown
...OLD_LD_LIBRARY_PATH=
OPTERR=1
OPTIND=1
OSTYPE=linux-gnu
PATH=/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/games:/opt/www/htdig/bin:/
usr/lib/java/bin:/usr/lib/java/jre/bin:/usr/share/texmf/bin:.:/home/mike/bin:/ho
me/mike/codeweavers/office/wine:/home/mike/codeweavers/office/wine/tools/winegcc
PIPESTATUS=([0]="0")
PPID=430
PS1='\s-\v\$ '
PS2='> '
PS4='+ '
PWD=/home/mike
SHELL=/bin/bash
SHELLOPTS=braceexpand:emacs:hashall:histexpand:history:interactive-comments:moni
tor
SHLVL=3
SSH_AUTH_SOCK=/home/mike/.ssh-agent-mike
T1LIB_CONFIG=/usr/share/t1lib/t1lib.config
TE...
2006 May 18
0
R-devel and PGI 6.0 compile error
.../local/pgi/linux86-64/6.0/bin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/pbs/x86_64/bin:/usr/local/pbs/x86_64/sbin:/usr/local/moab/x86_64/bin:/opt/xcat/bin:/opt/xcat/sbin:/opt/xcat/x86_64/bin:/opt/xcat/x86_64/sbin
PBS_DEFAULT=cc-mgnt01
PGI=/usr/local/pgi/linux86-64/6.0
PIPESTATUS=([0]="2")
PPID=14266
PS1='\w:'
PS2='> '
PS4='+ '
PWD=/home/mfa/gilp/toolchain/R/clusterPGI/R-devel
SHELL=/bin/bash
SHELLOPTS=braceexpand:emacs:hashall:histexpand:history:interactive-comments:monitor
SHLIB_CXXLDFLAGS=-shared
SHLIB_LDFLAGS=-shared
SHLVL=1
SSH_ASKP...
2014 Feb 12
61
P2V: Headless support
This introduces support to run P2V without X server. Runtime parameters
are specified via kernel command line making it hopefully suitable for
automated migration with a little help of PXE boot.
Patchset is not squashed and represents dev. history.